Subject: Skip flaky test on resource-constrained machines
Bug: https://gitlab.com/baldurmen/metalfinder/-/issues/33
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1027403
Forwarded: not-needed
Index: metalfinder/tests/test_scan.py
===================================================================
--- metalfinder.orig/tests/test_scan.py
+++ metalfinder/tests/test_scan.py
@@ -158,7 +158,7 @@ def test_issue22(cachedir, musicdir):
     artist_list = mfs.scan_wrapper(str(musicdir), str(cachedir))
     assert artist_list == {'Arch Enemy'}
 
-
+@pytest.mark.skip(reason="Flaky test on resource-constrained machines.")
 def test_issue28(cachedir, musicdir, caplog):
     """Test metalfinder continues running if a file passed through get_artist()
        raises an exception"""
